Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012456ScribusUndo/Redopublic2014-06-30 17:122014-07-06 22:28
ReporterFirasH 
Assigned Tojghali 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target VersionFixed in Version1.5.0svn 
Summary0012456: Undo/Redo records Resize always with pt unit
DescriptionUndo/Redo records Resize always with pt unit.
Steps To Reproduce0) Create a new document and make sure Windows > Properties/Action History are opened
1) Insert an item (example: Text Frame)
2) Select the item and Properties > X,Y,Z > change Width/Height

From Windows > Action History you can see:
     -----
     Item1 - Resize
     W1: (value as pt), H1: (value as pt)
     W2: (value as pt), H2: (value as pt)

So I suggest to make it like this, depending on the unit you are using:
     -----
     W1: (value) (unit), H1: (value) (unit)
     W2: (value) (unit), H2: (value) (unit)
Additional InformationIssue present on:
Scribus 1.4.5.svn (19295)
Scribus 1.5.0.svn (19300)
TagsNo tags attached.
Patch
Attached Files

- Relationships
related to 0012450closedjghali Undo/Redo records Image Offset always with pt unit 
related to 0012457closedjghali Undo/Redo records Move always with pt unit 

-  Notes
(0032371)
Kunda (manager)
2014-06-30 17:51

Reproduced on 1.5svn r19300 on OSX 10.8.5
(0032381)
FirasH (developer)
2014-07-01 00:44

If there is no plan to backport those enhancements to 1.4.5.svn the 3 reports can be closed.
(0032508)
Kunda (manager)
2014-07-06 22:28

fixed in 1.5svn
no plan to backport to 1.4.5.svn

- Issue History
Date Modified Username Field Change
2014-06-30 17:12 FirasH New Issue
2014-06-30 17:14 FirasH Steps to Reproduce Updated View Revisions
2014-06-30 17:18 FirasH Relationship added related to 0012457
2014-06-30 17:51 Kunda Note Added: 0032371
2014-06-30 23:43 jghali Status new => closed
2014-06-30 23:43 jghali Assigned To => jghali
2014-06-30 23:43 jghali Resolution open => fixed
2014-06-30 23:43 jghali Fixed in Version => 1.5.0svn
2014-06-30 23:45 jghali Status closed => resolved
2014-07-01 00:42 FirasH Relationship added related to 0012450
2014-07-01 00:44 FirasH Note Added: 0032381
2014-07-06 22:28 Kunda Note Added: 0032508
2014-07-06 22:28 Kunda Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker